Subject: [MSEC] Re: I-D ACTION:draft-ietf-msec-gkdp-01.txt

From: Lakshminath Dondeti <[email-masked]>
Date: Thu, 09 Mar 2006 14:02:57 -0800

Folks,

FYI.  The GKDP I-D is still a *major* work in progress. We hope to 
make available a cleaned up version some time next week.  So, please 
hold off any reviews until you see that version.  Thanks for your patience.

best regards,
Lakshminath

At 12:50 PM 3/9/2006, [email-masked] wrote:
>A New Internet-Draft is available from the on-line Internet-Drafts 
>directories.
>This draft is a work item of the Multicast Security Working Group of the IETF.
>
>         Title           : GKDP: Group Key Distribution Protocol
>         Author(s)       : L. Dondeti, et al.
>         Filename        : draft-ietf-msec-gkdp-01.txt
>         Pages           : 16
>         Date            : 2006-3-9
>
>This document specifies a group key distribution protocol (GKDP)
>    based on IKEv2, the IPsec key management protocol; the new protocol
>    is similar to IKEv2 in message and payload formats, and message
>    semantics to a large extent.  The protocol in conformance with MSEC
>    key management architecture contains two components: member
>    registration and group rekeying, and downloads a group security
>    association from the GCKS to a member.  This protocol is independent
>    of IKEv2 except in its likeness.
>
>A URL for this Internet-Draft is:
>http://www.ietf.org/internet-drafts/draft-ietf-msec-gkdp-01.txt
>
>To remove yourself from the I-D Announcement list, send a message to
>[email-masked] with the word unsubscribe in the body 
>of the message.
>You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce
>to change your subscription settings.
>
>
>Internet-Drafts are also available by anonymous FTP. Login with the username
>"anonymous" and a password of your e-mail address. After logging in,
>type "cd internet-drafts" and then
>         "get draft-ietf-msec-gkdp-01.txt".
>
>A list of Internet-Drafts directories can be found in
>http://www.ietf.org/shadow.html
>or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>
>
>Internet-Drafts can also be obtained by e-mail.
>
>Send a message to:
>         [email-masked].
>In the body type:
>         "FILE /internet-drafts/draft-ietf-msec-gkdp-01.txt".
>
>NOTE:   The mail server at ietf.org can return the document in
>         MIME-encoded form by using the "mpack" utility.  To use this
>         feature, insert the command "ENCODING mime" before the "FILE"
>         command.  To decode the response(s), you will need "munpack" or
>         a MIME-compliant mail reader.  Different MIME-compliant mail readers
>         exhibit different behavior, especially when dealing with
>         "multipart" MIME messages (i.e. documents which have been split
>         up into multiple messages), so check your local documentation on
>         how to manipulate these messages.
>
>
>Below is the data which will enable a MIME compliant mail reader
>implementation to automatically retrieve the ASCII version of the
>Internet-Draft.
>
>Content-Type: text/plain
>Content-ID: <[email-masked]>
>
>ENCODING mime
>FILE /internet-drafts/draft-ietf-msec-gkdp-01.txt
>
>
><ftp://ftp.ietf.org/internet-drafts/draft-ietf-msec-gkdp-01.txt>
>_______________________________________________
>I-D-Announce mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/i-d-announce

_______________________________________________
msec mailing list
[email-masked]
http://six.pairlist.net/mailman/listinfo/msec

---

From: Mounir Kellil <[email-masked]>
Date: Tue, 14 Mar 2006 12:23:22 +0100

Hi Lakshminath and all,
I read the draft, and I have no major comments :-) . Yet,  I would like 
to ask a few general questions regarding some features of the protocol.
First, I have noticed that there will be two distinct specifications: 
GKDP and GDOIv2. So, what would be the key differences between these 
protocols? Also, is it expected to have a decentralized scheme in GKDP 
(e.g., extending GSA_Auth_Exch messages, GCKS function delegation 
through certificates, etc) ? In section 3.2.1, do you expect to address 
the reliable key delivery (or key recovery) problem for multicast 
rekeying messages?
Finally, would the GCKS discovery problem be handled by GKDP?

Some typos:

Page 4: GCCKS--> GCKS
Page 5: a a random --> a random
Page 11: whichTraffic Selector --> which Traffic Selector

Regards

Mounir